=== debian/control ===
Source: ros-melodic-joint-state-publisher
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rostest
Homepage: http://www.ros.org/wiki/joint_state_publisher
Standards-Version: 3.9.2

Package: ros-melodic-joint-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rospy, ros-melodic-sensor-msgs
Description: This package contains a tool for setting and publishing joint state values for a given URDF.
